Modules
PUT
/app-api/v1/profile/change-passwordChange account password
Parameters
| Name | In | Required | Description |
|---|---|---|---|
| x-request-id | header | No | Optional correlation id. Generated when omitted. |
Request Body
ChangePasswordDtoobject
passwordstring
Current account password
new_passwordstring
New account password
confirm_passwordstring
Must match new_password
Required: password, new_password, confirm_password
Related Schemas
ChangePasswordDto
passwordstring
Current account password
new_passwordstring
New account password
confirm_passwordstring
Must match new_password
Required: password, new_password, confirm_password
Code samples
Generated from the current environment and the request configured in the Try-it panel.
curl -X PUT 'https://app-api.crwilladmin.com/app-api/v1/profile/change-password' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'apptype: android' \
-H 'appver: 1.0.0' \
-H 'webver: 1.0.0' \
-H 'portalver: 1.0.0' \
-H 'x-request-id: 00000000-0000-4000-8000-000000000000' \
-d '{
"password": "OldPass@123",
"new_password": "Student@123",
"confirm_password": "Student@123"
}' \